local HomingDigeon = CreateFrame("FRAME", "HomingDigeon")

local x1, x2, y1, y2 = WorldMap_GetPOITextureCoords(177)
local digSites = {}

local function ShowSites()
	
	for d,b in pairs(digSites) do
		d:Hide()
	end

	local storemap = GetCurrentMapAreaID()
   SetMapToCurrentZone()
   SetMapZoom(GetCurrentMapContinent())
   
   for a=1,GetNumMapLandmarks() do
      local name, desc, tex, x, y = GetMapLandmarkInfo(a)
      if tex == 177 then
         local poiName = "WorldMapFramePOIdigsite"..a
         if not _G[poiName] then
            WorldMap_CreatePOI("digsite"..a)
         end
         
         local worldMapPOI = _G[poiName]
				 
				 digSites[worldMapPOI] = true;

				 worldMapPOI.description = name
				 worldMapPOI:SetScript("OnEnter", 
						function() 
							GameTooltip:SetOwner(worldMapPOI, "ANCHOR_RIGHT"); 
							GameTooltip:AddLine(name, "", 1.0, 1.0, 1.0)
							GameTooltip:Show()
						end)
					worldMapPOI:SetScript("OnLeave",
						function()
							GameTooltip:Hide()
						end)
         worldMapPOI:SetParent(TaxiFrame)
         _G[poiName.."Texture"]:SetTexCoord(x1, x2, y1, y2)
         x = x * TaxiRouteMap:GetWidth() * (1/1.3)
         y = -y * TaxiRouteMap:GetHeight() * (1/1.3)
				 worldMapPOI:SetScale(1.3)
         worldMapPOI:SetPoint("CENTER", "TaxiRouteMap", "TOPLEFT", x, y)
         worldMapPOI:Show()
				 local min
				 local minode

				 --[[ Doesn't work, will have to look why later
         for i = 1,NumTaxiNodes() do
            local node = _G["TaxiButton"..i]
						node.x, node.y = TaxiNodePosition(node:GetID())
						local dx = node.x - x
						local dy = node.y - y
						local dis = dx*dx + dy*dy
						if not min or dis < min then 
							min = dis 
							minode = node
						end						
         end
				if minode then
					print(TaxiNodeName(minode:GetID()) .. " is closest to ".. name)
				 minode:SetNormalTexture(TaxiButtonTypes["DISTANT"].file)
			 end
				 --]]
      end
   end
   SetMapByID(storemap)
end

HomingDigeon:RegisterEvent("TAXIMAP_OPENED")
HomingDigeon:SetScript("OnEvent", ShowSites)
